Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface OndemandReportManager

    public interface OndemandReportManager

Interface `OndemandReportManager` manages on demand report records.

Field Summary
`static java.lang.String` | `STAUTS_STOPPED` Stopped report status (value="Stopped").

Method Summary
`OndemandReportRecord` | `changeStatus(java.lang.String ondemandID, java.lang.String status)` Changes the on demand report status.
`void` | `clearUserOndemandList(java.lang.String userID, boolean isStopTask)` Clears up all the users' records in the On demand Report Record List.
`java.lang.String` | `getOndemandID(java.lang.String userID, java.lang.String resultName)` Through this method, the user can get a record's On demand ID according to the result name.
`OndemandReportRecord` | `getOndemandReportRecord(java.lang.String ondemandID)` Gets the on demand report record of the temporary result.
`java.util.Vector` | `getOndemandReports(java.lang.String userID)` Gets on demand report records registered by the user.
`OndemandReportRecord` | `notifyOndemandCompleted(java.lang.String ondemandID)` Notifies the on demand report runs over.
`void` | `removeAllOndemandReport(java.lang.String userID)` Removes all the on demand report records of the specified user.
`void` | `removeOndemandReport(java.lang.String ondemandResult)` Removes the on demand report record of the temporary result.
`void` | `removeOndemandReport(java.lang.String ondemandID, boolean isStop)` Removes the on demand report record of the temporary result.
`void` | `removeOndemandReport(java.lang.String userID, java.lang.String resultName, boolean isStopTask)` Through this method, the user can delete a record from the On demand List according to the result name.

Field Detail

### STAUTS_STOPPED

    static final java.lang.String STAUTS_STOPPED

  Stopped report status (value="Stopped").

  See Also:
    Constant Field Values

Method Detail

### getOndemandReports

    java.util.Vector getOndemandReports(java.lang.String userID)

  Gets on demand report records registered by the user.

  Parameters:
    `userID` - the userID.
  Returns:
    the vector containing ondemandReportRecord objects.

### getOndemandReportRecord

    OndemandReportRecord getOndemandReportRecord(java.lang.String ondemandID)

  Gets the on demand report record of the temporary result.

  Parameters:
    `ondemandID` - the on demand ID.
  Returns:
    the on demand report record of the temporary result.

### notifyOndemandCompleted

    OndemandReportRecord notifyOndemandCompleted(java.lang.String ondemandID)

  Notifies the on demand report runs over.

  Parameters:
    `ondemandID` - the on demand ID.
  Returns:
    the on demand report record.

### changeStatus

    OndemandReportRecord changeStatus(java.lang.String ondemandID,
                                      java.lang.String status)

  Changes the on demand report status.

  Parameters:
    `ondemandID` - the on demand ID.
    `status` - the on demand status.
  Returns:
    the on demand report record.

### removeOndemandReport

    void removeOndemandReport(java.lang.String ondemandID,
                              boolean isStop)

  Removes the on demand report record of the temporary result.

  Parameters:
    `ondemandID` - the on demand ID.
    `isStop` - if to stop the running of the on demand reports.

### removeOndemandReport

    void removeOndemandReport(java.lang.String ondemandResult)

  Removes the on demand report record of the temporary result.

  Parameters:
    `ondemandResult` - the on demand report result file name.

### removeAllOndemandReport

    void removeAllOndemandReport(java.lang.String userID)

  Removes all the on demand report records of the specified user.

  Parameters:
    `userID` - the userID.

### clearUserOndemandList

    void clearUserOndemandList(java.lang.String userID,
                               boolean isStopTask)

  Clears up all the users' records in the On demand Report Record List.

  Parameters:
    `userID` - The ID of the user.
    `isStopTask` - Whether the server stops the tasks according to On demand ID if they are not completed.

### getOndemandID

    java.lang.String getOndemandID(java.lang.String userID,
                                   java.lang.String resultName)

  Through this method, the user can get a record's On demand ID according to the result name.

  Parameters:
    `userID` - The ID of the user.
    `resultName` - The result name of the report.
  Returns:
    String On demand ID of the result.

### removeOndemandReport

    void removeOndemandReport(java.lang.String userID,
                              java.lang.String resultName,
                              boolean isStopTask)

  Through this method, the user can delete a record from the On demand List according to the result name.

  Parameters:
    `userID` - The ID of the user.
    `resultName` - The result name of the report.
    `isStopTask` - Whether the server stops the tasks according to On demand ID if they are not completed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD